Automation
Replay event history.
ROLES: AUTOMATION_RUNNER,AUTOMATION_ADMIN USER: true SERVICE ACCOUNT: true
POST
/
api
/
v1
/
automation
/
eventHistory
/
replay
Replay event history.
curl --request POST \
--url https://api.revoengine.com/api/v1/automation/eventHistory/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.revoengine.com/api/v1/automation/eventHistory/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/eventHistory/replay"
payload = { "data": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerId": "<string>",
"requestedTotal": 123,
"replayedTotal": 123,
"replays": [
{
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerId": "<string>",
"sourceEventHistoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
Required array length:
1 - 1000 elements⌘I
Replay event history.
curl --request POST \
--url https://api.revoengine.com/api/v1/automation/eventHistory/replay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.revoengine.com/api/v1/automation/eventHistory/replay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/automation/eventHistory/replay"
payload = { "data": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"batchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerId": "<string>",
"requestedTotal": 123,
"replayedTotal": 123,
"replays": [
{
"eventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerId": "<string>",
"sourceEventHistoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
